Transfer element to a workspace

View as Markdown
Transfers a [Postman element](https://learning.postman.com/docs/getting-started/basics/postman-elements/) from one workspace to another workspace. Supported elements include collections, environments, mocks, monitors, and Flows modules and actions. When copying an element between workspaces, the [activity feed](https://learning.postman.com/docs/collaborating-in-postman/using-workspaces/workspace-activity/) for both workspaces update to reflect the change. **Note:** This endpoint does not support transferring elements from team workspaces to personal workspaces.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

workspaceIdstringRequired
The workspace's ID.

Request

This endpoint expects an object.
idstringRequired
The workspace element's ID.
typeenumRequired
The type of element to transfer.
tostringRequired
The workspace ID to transfer the element into.

Response

Successful Response
workspaceobject

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error